=== debian/changelog ===
confluence (0.10.6-7build3) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 12:10:23 +0000

confluence (0.10.6-7build2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:09:15 -0600

confluence (0.10.6-7build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 May 2011 19:57:42 +0100

confluence (0.10.6-7) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Ralf Treinen ]
  * Switch source format to 3.0 (quilt):
    - comvert patches to quilt style
    - no more build-dependency on dpatch
    - no more patching in debian/rules
    - create file debian/source/format
  * Add dependency on ${misc:Depends}
  * Standards-version 3.8.4 (no change)
  * Fix typo in debian/README.debian
  * Create a copy of the fnf manpage in in debian/manpages, escape hyphens
    and add a correct whatis entry.
  * Added debian/confluence.install for installation of extra files,
    call dh_install from debian/rules.
  * Added debian/vim/confluence.yaml, install it into /usr/share/vim/registry
    (closes: Bug#464819).
  * Recommends  vim-addon-manager, and added in README.debian a note about
    the vim addon, as suggested in the debian vim policy.

 -- Ralf Treinen <treinen@debian.org>  Sun, 31 Jan 2010 19:40:42 +0100

confluence (0.10.6-6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Fix typo in debian/watch (closes: Bug#450078)
  * Changed doc-base section to Science/Electronics
  * DH compat level 5
  * Standards-Version 3.8.1 (no change)

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Mehdi Dogguy ]
  * Fix watch file (closes: Bug#529104)

 -- Ralf Treinen <treinen@debian.org>  Fri, 22 May 2009 09:33:14 +0200

confluence (0.10.6-5) unstable; urgency=low

  * Adopting the package for debian-ocaml-maint (closes: Bug#418965).
  * debian/control: added XS-Vcs-Svn and XS-Vcs-Browse fields.
  * Adapted debian/svn-deblayout to the pkg-ocaml directory layout
  * Use dpatch to manage patches, put diff from 0.10.6-4 into 01config.dpatch
  * debian/watch: point now to fundhl.org
  * debian/rules: cleanup
  * debian/rules: do not ignore errors of "make clean"
  * Build-depend on ocaml-nox >= 3.10 in order to force autobuildes to use
    the right ocaml version.
  * Standards-Version 3.7.2.2 (no change)
  * Register documentation with doc-base
  * Removed package maintainer from debian/copyright.
  * Explain status of the package in debian/README.Debian.

 -- Ralf Treinen <treinen@debian.org>  Sat, 08 Sep 2007 19:49:08 +0200

confluence (0.10.6-4) unstable; urgency=low

  *  Orphaning; this package is superceded by HDCaml upstream,
     and I no longer use that or this package.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 12 Apr 2007 20:57:40 -0600

confluence (0.10.6-3) unstable; urgency=low

  * Allow building on archs without ocamlopt (closes: #345887)
    - Thanks to Julien Cristau <jcristau@liafa.jussieu.fr> for the patch.

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed,  4 Jan 2006 11:31:17 -0700

confluence (0.10.6-2) unstable; urgency=low

  * Standards-Version to 3.6.2
  * Updated FSF address in debian/copyright

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed,  9 Nov 2005 11:12:48 -0700

confluence (0.10.6-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 28 Sep 2005 17:57:15 -0600

confluence (0.10.5-1) unstable; urgency=low

  * New upstream release
  * Updated watch file
  * Fixed confluence.vim install location (closes: #306777)

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 28 Apr 2005 17:24:52 -0600

confluence (0.10.4-2) unstable; urgency=low

  * Fix up debian/watch for uscan version=3

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 26 Mar 2005 23:14:28 -0700

confluence (0.10.4-1) unstable; urgency=low

  * Initial Release (closes: #301410)

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 25 Mar 2005 09:22:39 -0700
