=== debian/control ===
Source: confluence
Section: electronics
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Stefano Zacchiroli <zack@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mike Furr <mfurr@debian.org>
Build-Depends: debhelper (>= 5), txt2man, ocaml-nox (>= 3.10)
Standards-Version: 3.8.4
Homepage: http://www.confluent.org
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/confluence.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/confluence.git

Package: confluence
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Recommends: vim-addon-manager
Description: language for synchronous reactive hardware system design
 From the upstream website:
 .
 A Confluence program can generate digital logic for an FPGA or ASIC
 platform, or C code for hard real-time software. 
 .
 Confluence combines the component-based methodologies of Verilog and
 VHDL with the expressiveness of higher order functional programming. 
 .
 In comparison to Verilog, VHDL, and C, systems designed in Confluence
 result in 2X to 10X code reduction, making the source easier to manage
 and reuse. And because Confluence relies on a correct-by-construction
 compiler, bugs are reduced--some are prevented altogether--thus
 reducing the overall verification effort.
